# FIT-Connect Java-SDK Demo

An dieser Stelle finden sich alle relevanten Links zur in der Demo genutzten Ressourcen.

## FIT-Connect Dokumentation
- https://docs.fitko.de/fit-connect/docs
- Die [Dokumentation](https://docs.fitko.de/fit-connect/docs/receiving/destination), wie man einen Zustellpunkt (und dessen DestinationID) anlegt
- [Self-Service-Portal]( https://portal.auth-testing.fit-connect.fitko.dev/login) der Testumgebung: _(Für den Login benötigen Sie einen Gitlab- oder Github-Account)_

## CommandLine-Client

 - CLI-Client [Dokumentation](https://git.fitko.de/fit-connect/sdk-java/-/tree/main/cli)
 - Ausführbarer [fit-connect-cli.jar](https://s01.oss.sonatype.org/content/repositories/snapshots/dev/fitko/fitconnect/sdk/cli/1.1.0-SNAPSHOT/cli-1.1.0-20230705.171100-3.jar) auf Maven Central *[1.1.0-Snapshot vom 05.07.23]*:
 - Git Repository des [Demoprojekts](demo), welches das SDK einbindet:

Das Commandline Interface kann als runnable .jar kann, wie in der [Doku](https://git.fitko.de/fit-connect/sdk-java/-/tree/main/cli) beschrieben, direkt mit `java -jar` ausgeführt werden oder als Abhängigkeit einem bestehenden Java-/Maven-Projekt hinzugefügt werden, um die Fluent-API des Java-SDK zu nutzen.

Für beide Varianten muss das SDK über eine [Konfigurations-YAML](https://git.fitko.de/fit-connect/sdk-java/-/tree/main/config.yml) eingerichtet werden.

## Maven Dependency 

Um das SDK in einem bestehenden Java-Projekt zu nutzen, wird die Maven-Dependency in der aktuellen Version (1.0.0) der POM hinzugefügt:
      
```xml
<dependency>
  <groupId>dev.fitko.fitconnect.sdk</groupId>
  <artifactId>client</artifactId>
  <version>1.0.0</version>
</dependency>
```
